# $Revision: 1.24 $, $Date: 2011/12/04 15:04:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Writer
Summary:	XML::SAX::Writer - SAX2 XML writer
Summary(pl.UTF-8):	XML::SAX::Writer - zapis w XML-u z SAX2
Name:		perl-XML-SAX-Writer
Version:	0.53
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	afc83cdc49ccc8a7ad72911b2a0bcfbe
URL:		http://search.cpan.org/dist/XML-SAX-Writer/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-Test-Simple >= 0.40}
BuildRequires:	perl-Text-Iconv >= 1.2
BuildRequires:	perl-XML-Filter-BufferText >= 0.01
BuildRequires:	perl-XML-NamespaceSupport >= 0.03
BuildRequires:	perl-XML-SAX
BuildRequires:	perl(XML::SAX::Exception) >= 1.01
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Text-Iconv >= 1.2
Requires:	perl-XML-Filter-BufferText >= 0.01
Requires:	perl-XML-NamespaceSupport >= 0.03
Requires:	perl(XML::SAX::Exception) >= 1.01
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::Writer Perl module - SAX2 XML Writer.

%description -l pl.UTF-8
Moduł Perla XML::SAX::Writer - zapisujący w XML-u z SAX2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/SAX/Writer.pm
%{perl_vendorlib}/XML/SAX/Writer
%{_mandir}/man3/XML::SAX::Writer*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAX-Writer.spec,v $
Revision 1.24  2011/12/04 15:04:23  qboosh
- added generic URL

Revision 1.23  2011/07/01 14:26:11  marti
- up to 0.53

Revision 1.22  2009/10/08 12:00:35  amateja
- updated to 0.52

Revision 1.21  2008/07/27 23:00:16  arekm
- release 2

Revision 1.20  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.18  2006/09/22 09:16:21  radek
- version 0.50, minor summary tweak

Revision 1.17  2004/11/03 22:30:56  paladine
- formatting

Revision 1.16  2004/06/05 18:10:50  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:09:26  ankry
- rel. 3

Revision 1.14  2004/05/06 18:21:32  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/06 11:01:59  ankry
- cosmetics

Revision 1.12  2004/05/05 06:28:47  ankry
- license unification, cosmetics

Revision 1.11  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.10  2004/04/15 19:46:36  ankry
- cosmetics, unification

Revision 1.9  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 22:10:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/12 22:21:33  radek
- version 0.44 (naaah, I liked the previous version number...)
STBR (should pass, but untested)

Revision 1.1  2002/08/04 00:56:26  qboosh
- new

